package com.example.julian.endlessroll.entities;

import com.example.julian.endlessroll.data.Vector;
import com.example.julian.endlessroll.entities.textures.Texture;
import com.example.julian.endlessroll.main.GameLog;

/**
 * Created by Julian on 20.11.2015.
 */
public class Player extends Entity {

    private final float ROTATION_SPEED = -400;
    public final float RADIUS = 0.1f;
    private final float START_X = -0.9f;
    private final float SPEED = 0.002f;

    private float startSpeed, endSpeed;
    private float speed = SPEED;

    public Player(Texture texture) {
        super(texture, new Vector(), 0, 0);
        super.setWidth(RADIUS * 2);
        super.setHeight(RADIUS * 2);
    }

    public void init(float terrainEdge, float startSpeed, float endSpeed) {
        GameLog.i("init: " + startSpeed + "; " + endSpeed);
        super.setToTerrain(terrainEdge);
        super.getPosition().x = START_X;
        super.setMovement(new Vector(speed, 0));
        this.startSpeed = startSpeed;
        this.endSpeed = endSpeed;
        setSpeedByProgress(0);
    }

    public void setSpeedByProgress(float progress) {
        this.speed = ((endSpeed - startSpeed) * progress + startSpeed) * SPEED;
        super.getMovement().x = speed;
    }

    public float getProgress() {
        return getPosition().x - START_X;
    }

    public float getSpeed() {
        return speed;
    }

    @Override
    public void move(Vector movement) {
        super.move(movement);
        rotate(movement.x * ROTATION_SPEED);
    }
}
