package com.example.julian.endlessroll.main;

import android.content.Context;
import android.opengl.GLSurfaceView;

import com.example.julian.endlessroll.rendering.Rendering;
import com.example.julian.endlessroll.rendering.renderer.GameRenderer;

/**
 * Created by Julian on 30.07.2016.
 */
public class MyGlSurfaceView extends GLSurfaceView {

    private GameRenderer renderer;
    private boolean rendererSet;

    public MyGlSurfaceView(Context context, GameRenderer gameRenderer) throws Exception {
        super(context);
        this.renderer = gameRenderer;
        super.setEGLContextClientVersion(2);
        super.setRenderer(renderer);
        rendererSet = true;
    }

    public void addRendering(Rendering rendering) {
        renderer.addRendering(rendering);
    }

    public void setCurrentRendering(Rendering currentRendering) {
        super.setOnTouchListener(currentRendering);
        renderer.setCurrentRendering(currentRendering);
    }

    @Override
    public void onResume() {
        GameLog.i("SurfaceView: onResume");
        if (rendererSet)
            super.onResume();
    }

    @Override
    public void onPause() {
        GameLog.i("SurfaceView: onPause");
        if (rendererSet)
            super.onPause();
    }
}
