package com.example.julian.endlessroll.views;

import android.content.Context;
import android.graphics.Typeface;
import android.view.LayoutInflater;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.example.julian.endlessroll.R;

/**
 * Created by Julian on 23.04.2016.
 */
public class LevelButton extends RelativeLayout {

    private TextView text;
    private ImageView star1;
    private ImageView star2;
    private ImageView star3;
    private ImageView energy;
    private ImageView lockImage;

    public LevelButton(Context context, Typeface typeface, OnClickListener clickListener, int level, boolean locked) {
        super(context);
        LayoutInflater inflater = LayoutInflater.from(context);
        inflater.inflate(R.layout.levelbutton, this);
        super.setOnClickListener(clickListener);

        text = (TextView) super.findViewById(R.id.levelbutton_textview);
        text.setTypeface(typeface);
        star1 = (ImageView) super.findViewById(R.id.levelbutton_star1);
        star2 = (ImageView) super.findViewById(R.id.levelbutton_star2);
        star3 = (ImageView) super.findViewById(R.id.levelbutton_star3);
        energy = (ImageView) super.findViewById(R.id.levelbutton_energy);
        lockImage = (ImageView) super.findViewById(R.id.levelbutton_lock);

        setLockVisible(locked);
        text.setText("Level: " + level);
    }

    public void setLockVisible(boolean locked) {
        int visibility = locked ? VISIBLE : INVISIBLE;
        lockImage.setVisibility(visibility);
    }

    public void showCollectedCurrency(boolean[] stars, boolean energy) {
        if (stars[0])
            this.star1.setImageResource(R.drawable.currency_star);
        if (stars[1])
            this.star2.setImageResource(R.drawable.currency_star);
        if (stars[2])
            this.star3.setImageResource(R.drawable.currency_star);
        if(energy)
            this.energy.setImageResource(R.drawable.currency_energy);
    }

    public boolean isLocked() {
        if (lockImage.getVisibility() == VISIBLE)
            return true;
        return false;
    }

}
