package com.example.julian.endlessroll.views;

import android.graphics.Typeface;

import com.example.julian.endlessroll.levels.LevelManager;
import com.example.julian.endlessroll.main.DataStorageHandler;
import com.example.julian.endlessroll.main.GameActivity;
import com.example.julian.endlessroll.main.game.User;
import com.example.julian.endlessroll.sounds.SoundManager;

/**
 * Created by Julian on 15.07.2016.
 */
public class TopBarData {

    protected GameActivity gameActivity;
    protected DataStorageHandler dataStorageHandler;
    protected SoundManager soundManager;
    protected LevelManager levelManager;
    protected User user;
    protected Typeface typeface;

    public TopBarData(TopBarData data) {
        this(data.getGameActivity(), data.getDataStorageHandler(), data.getSoundManager(), data.getLevelManager(), data.getUser(), data.getTypeface());
    }

    public TopBarData(GameActivity gameActivity, DataStorageHandler dataStorageHandler, SoundManager soundManager, LevelManager levelManager, User user, Typeface typeface) {
        this.gameActivity = gameActivity;
        this.dataStorageHandler = dataStorageHandler;
        this.soundManager = soundManager;
        this.levelManager = levelManager;
        this.user = user;
        this.typeface = typeface;
    }

    public GameActivity getGameActivity() {
        return gameActivity;
    }

    public DataStorageHandler getDataStorageHandler() {
        return dataStorageHandler;
    }

    public SoundManager getSoundManager() {
        return soundManager;
    }

    public LevelManager getLevelManager() {
        return levelManager;
    }

    public User getUser() {
        return user;
    }

    public Typeface getTypeface() {
        return typeface;
    }
}
